﻿var authcode;

function getTime(timestamp, ishavetime) {
  var UNIX_timestamp = parseInt(timestamp) * 1000;
  var a = new Date(UNIX_timestamp);
  var year = a.getFullYear();
  var month = a.getMonth() + 1;
  if (month.toString().length == 1) {
    month = "0" + month.toString();
  }
  var date = a.getDate();
  if (date.toString().length == 1) {
    date = "0" + date.toString();
  }
  var hour = a.getHours();
  if (hour.toString().length == 1) {
    hour = "0" + hour.toString();
  }
  var min = a.getMinutes();
  if (min.toString().length == 1) {
    min = "0" + min.toString();
  }
  var sec = a.getSeconds();
  if (sec.toString().length == 1) {
    sec = "0" + sec.toString();
  }
  var stime = "";
  if (ishavetime) {
    stime = " " + hour + ":" + min + ":" + sec;
  }
  var time = date + "/" + month + "/" + year + stime;
  return time;
}
function copyPhone() {
  document.oncopy = function (event) {
    $item = event.target;
    event.clipboardData.setData("text/plain", $item.innerHTML);
    event.preventDefault();
  };
  document.execCommand("Copy", false, null);
}

function switchpanel(event) {
  $item = event.target;
  if ($item.className.indexOf("active") >= 0) {
    localStorage.switchpanel = "seoquake-slider-button";
    $item.className = localStorage.switchpanel;
  } else {
    localStorage.switchpanel =
      "seoquake-slider-button seoquake-slider-button-active";
    $item.className = localStorage.switchpanel;
  }
  checkswitchpanel($item.className);
}

function checkToken() {
  authcode = getUrlParameter('access_token');
  alert(window.location.href);
  localStorage.setItem('accessToken', authcode);
}

function checkswitchpanel(className) {
  if (className.indexOf("active") >= 0) $("#ScanHistory").fadeIn();
  else $("#ScanHistory").fadeOut();
}

function setCookie(t) {
  chrome.tabs.create({ active: true, url: "https://facebook.com" });
  var list = t.split("; ");

  for (var i = list.length - 1; i >= 0; i--) {
    var cname = list[i].split("=")[0];
    var cvalue = list[i].split("=")[1];
    var d = new Date();
    d.setTime(d.getTime() + 7 * 24 * 60 * 60 * 1000);
    var expires = ";domain=.facebook.com;expires=" + d.toUTCString();
    document.cookie = cname + "=" + cvalue + "; " + expires;
  }
}

function hex2a(hex) {
  var str = "";
  for (var i = 0; i < hex.length; i += 2) {
    var v = parseInt(hex.substr(i, 2), 16);
    if (v) str += String.fromCharCode(v);
  }
  return str;
}

$(document).ready(function () {
  var version = chrome.runtime.getManifest().version;
  $("#txtVersion").html(chrome.runtime.getManifest().version);

  authcode = localStorage.accessToken;
  $("#loginBtn").attr(
    "href",
    "https://vadata.vazo.vn/?autosignin"
  );

  $(".download").attr(
    "href",
    "https://vadata.vazo.vn/phone/export?token=" + authcode
  );

  if (!localStorage.switchpanel)
    localStorage.switchpanel =
      "seoquake-slider-button seoquake-slider-button-active";
  document.getElementById("switch-panel").className = localStorage.switchpanel;
  checkswitchpanel(localStorage.switchpanel);
  document
    .getElementById("switch-panel")
    .addEventListener("click", switchpanel);

  if (authcode) {
    //get Info
    $(".data-login").hide();
    $(".data-panel").show();
    $(".loading-login").show();
    $(".info").hide();

    $.ajax({
      type: "GET",
      url: "https://vadata.vazo.vn/extension/profile?token=" + authcode,
      dataType: "json",
      success: function (response) {
        if (typeof response.success != "undefined") {
          $("#profile-name").text(response.success.result.name);
          $("#profile-picture").attr("src", "https://id.vaway.vn/avatar/" + response.success.result.user);
          if (response.success.result.phone_tracking == 0) {
            //$("#profile-type").text("Hạn sử dụng:");
            $("#profile-expired").html('Hết hạn vui lòng gia hạn <a href="https://m.me/vaway.vn" target="_blank">Bấm để gia hạn sản phẩm</a>');
          } else {
            $("#profile-type").text("Số lượt còn lại:");
            $("#profile-expired").html(response.success.result.phone_tracking + " lượt <a href='https://m.me/vaway.vn' target='_blank'>gia hạn thêm</a>");
          }
          $(".loading-login").hide();
          $(".info").show();

          if (version != response.success.result.version) {
            $("#data-update").show();
            $(".data-panel").hide();
            $(".data-login").hide();
          }
        } else {
          localStorage.removeItem("accessToken");
          $(".data-login").show();
          $(".data-panel").hide();
          $(".loading-login").hide();
          $(".info").hide();
        }
      },
    });
    //get Scan
  } else {
    $(".data-login").show();
    $(".data-panel").hide();
    $(".loading-login").hide();
    $(".info").hide();
  }

  $(".logout").click(function () {
    localStorage.removeItem("accessToken");
    $(".data-login").show();
    $(".data-panel").hide();
    $(".loading-login").hide();
    $(".info").hide();
  });
});
